if [ ! -d "${ROOT}//usr" ] ; then \
	install -d  "${ROOT}//usr" 2>/dev/null \
		|| ewarn "  can't create /usr"
	touch "${ROOT}//usr/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/.keep"
fi
if [ ! -d "${ROOT}//usr/local" ] ; then \
	install -d  "${ROOT}//usr/local" 2>/dev/null \
		|| ewarn "  can't create /usr/local"
	touch "${ROOT}//usr/local/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/.keep"
fi
if [ ! -d "${ROOT}//boot" ] ; then \
	install -d  "${ROOT}//boot" 2>/dev/null \
		|| ewarn "  can't create /boot"
	touch "${ROOT}//boot/.keep" 2>/dev/null \
		|| ewarn "  can't create /boot/.keep"
fi
if [ ! -d "${ROOT}//dev" ] ; then \
	install -d  "${ROOT}//dev" 2>/dev/null \
		|| ewarn "  can't create /dev"
	touch "${ROOT}//dev/.keep" 2>/dev/null \
		|| ewarn "  can't create /dev/.keep"
fi
if [ ! -d "${ROOT}//dev/pts" ] ; then \
	install -d  "${ROOT}//dev/pts" 2>/dev/null \
		|| ewarn "  can't create /dev/pts"
	touch "${ROOT}//dev/pts/.keep" 2>/dev/null \
		|| ewarn "  can't create /dev/pts/.keep"
fi
if [ ! -d "${ROOT}//dev/shm" ] ; then \
	install -d  "${ROOT}//dev/shm" 2>/dev/null \
		|| ewarn "  can't create /dev/shm"
	touch "${ROOT}//dev/shm/.keep" 2>/dev/null \
		|| ewarn "  can't create /dev/shm/.keep"
fi
if [ ! -d "${ROOT}//etc/conf.d" ] ; then \
	install -d  "${ROOT}//etc/conf.d" 2>/dev/null \
		|| ewarn "  can't create /etc/conf.d"
	touch "${ROOT}//etc/conf.d/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/conf.d/.keep"
fi
if [ ! -d "${ROOT}//etc/cron.daily" ] ; then \
	install -d  "${ROOT}//etc/cron.daily" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.daily"
	touch "${ROOT}//etc/cron.daily/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.daily/.keep"
fi
if [ ! -d "${ROOT}//etc/cron.hourly" ] ; then \
	install -d  "${ROOT}//etc/cron.hourly" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.hourly"
	touch "${ROOT}//etc/cron.hourly/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.hourly/.keep"
fi
if [ ! -d "${ROOT}//etc/cron.monthly" ] ; then \
	install -d  "${ROOT}//etc/cron.monthly" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.monthly"
	touch "${ROOT}//etc/cron.monthly/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.monthly/.keep"
fi
if [ ! -d "${ROOT}//etc/cron.weekly" ] ; then \
	install -d  "${ROOT}//etc/cron.weekly" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.weekly"
	touch "${ROOT}//etc/cron.weekly/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/cron.weekly/.keep"
fi
if [ ! -d "${ROOT}//etc/env.d" ] ; then \
	install -d  "${ROOT}//etc/env.d" 2>/dev/null \
		|| ewarn "  can't create /etc/env.d"
	touch "${ROOT}//etc/env.d/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/env.d/.keep"
fi
if [ ! -d "${ROOT}//etc/modules.autoload.d" ] ; then \
	install -d  "${ROOT}//etc/modules.autoload.d" 2>/dev/null \
		|| ewarn "  can't create /etc/modules.autoload.d"
	touch "${ROOT}//etc/modules.autoload.d/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/modules.autoload.d/.keep"
fi
if [ ! -d "${ROOT}//etc/modules.d" ] ; then \
	install -d  "${ROOT}//etc/modules.d" 2>/dev/null \
		|| ewarn "  can't create /etc/modules.d"
	touch "${ROOT}//etc/modules.d/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/modules.d/.keep"
fi
if [ ! -d "${ROOT}//etc/opt" ] ; then \
	install -d  "${ROOT}//etc/opt" 2>/dev/null \
		|| ewarn "  can't create /etc/opt"
	touch "${ROOT}//etc/opt/.keep" 2>/dev/null \
		|| ewarn "  can't create /etc/opt/.keep"
fi
if [ ! -d "${ROOT}//home" ] ; then \
	install -d  "${ROOT}//home" 2>/dev/null \
		|| ewarn "  can't create /home"
	touch "${ROOT}//home/.keep" 2>/dev/null \
		|| ewarn "  can't create /home/.keep"
fi
if [ ! -d "${ROOT}//lib/rcscripts" ] ; then \
	install -d  "${ROOT}//lib/rcscripts" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts"
	touch "${ROOT}//lib/rcscripts/.keep" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/.keep"
fi
if [ ! -d "${ROOT}//lib/rcscripts/awk" ] ; then \
	install -d  "${ROOT}//lib/rcscripts/awk" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/awk"
	touch "${ROOT}//lib/rcscripts/awk/.keep" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/awk/.keep"
fi
if [ ! -d "${ROOT}//lib/rcscripts/sh" ] ; then \
	install -d  "${ROOT}//lib/rcscripts/sh" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/sh"
	touch "${ROOT}//lib/rcscripts/sh/.keep" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/sh/.keep"
fi
if [ ! -d "${ROOT}//lib/rcscripts/net" ] ; then \
	install -d  "${ROOT}//lib/rcscripts/net" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/net"
	touch "${ROOT}//lib/rcscripts/net/.keep" 2>/dev/null \
		|| ewarn "  can't create /lib/rcscripts/net/.keep"
fi
if [ ! -d "${ROOT}//opt" ] ; then \
	install -d  "${ROOT}//opt" 2>/dev/null \
		|| ewarn "  can't create /opt"
	touch "${ROOT}//opt/.keep" 2>/dev/null \
		|| ewarn "  can't create /opt/.keep"
fi
if [ ! -d "${ROOT}//var/lock" ] ; then \
	install -d -o root -g uucp -m0775 "${ROOT}//var/lock" 2>/dev/null \
		|| ewarn "  can't create /var/lock"
	touch "${ROOT}//var/lock/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/lock/.keep"
fi
if [ ! -d "${ROOT}//proc" ] ; then \
	install -d  "${ROOT}//proc" 2>/dev/null \
		|| ewarn "  can't create /proc"
	touch "${ROOT}//proc/.keep" 2>/dev/null \
		|| ewarn "  can't create /proc/.keep"
fi
if [ ! -d "${ROOT}//root" ] ; then \
	install -d -m 0700 "${ROOT}//root" 2>/dev/null \
		|| ewarn "  can't create /root"
	touch "${ROOT}//root/.keep" 2>/dev/null \
		|| ewarn "  can't create /root/.keep"
fi
if [ ! -d "${ROOT}//sbin" ] ; then \
	install -d  "${ROOT}//sbin" 2>/dev/null \
		|| ewarn "  can't create /sbin"
	touch "${ROOT}//sbin/.keep" 2>/dev/null \
		|| ewarn "  can't create /sbin/.keep"
fi
if [ ! -d "${ROOT}//sys" ] ; then \
	install -d  "${ROOT}//sys" 2>/dev/null \
		|| ewarn "  can't create /sys"
	touch "${ROOT}//sys/.keep" 2>/dev/null \
		|| ewarn "  can't create /sys/.keep"
fi
if [ ! -d "${ROOT}//usr/bin" ] ; then \
	install -d  "${ROOT}//usr/bin" 2>/dev/null \
		|| ewarn "  can't create /usr/bin"
	touch "${ROOT}//usr/bin/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/bin/.keep"
fi
if [ ! -d "${ROOT}//usr/include" ] ; then \
	install -d  "${ROOT}//usr/include" 2>/dev/null \
		|| ewarn "  can't create /usr/include"
	touch "${ROOT}//usr/include/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/include/.keep"
fi
if [ ! -d "${ROOT}//usr/include/asm" ] ; then \
	install -d  "${ROOT}//usr/include/asm" 2>/dev/null \
		|| ewarn "  can't create /usr/include/asm"
	touch "${ROOT}//usr/include/asm/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/include/asm/.keep"
fi
if [ ! -d "${ROOT}//usr/include/linux" ] ; then \
	install -d  "${ROOT}//usr/include/linux" 2>/dev/null \
		|| ewarn "  can't create /usr/include/linux"
	touch "${ROOT}//usr/include/linux/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/include/linux/.keep"
fi
if [ ! -d "${ROOT}//usr/local/bin" ] ; then \
	install -d  "${ROOT}//usr/local/bin" 2>/dev/null \
		|| ewarn "  can't create /usr/local/bin"
	touch "${ROOT}//usr/local/bin/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/bin/.keep"
fi
if [ ! -d "${ROOT}//usr/local/games" ] ; then \
	install -d  "${ROOT}//usr/local/games" 2>/dev/null \
		|| ewarn "  can't create /usr/local/games"
	touch "${ROOT}//usr/local/games/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/games/.keep"
fi
if [ ! -d "${ROOT}//usr/local/sbin" ] ; then \
	install -d  "${ROOT}//usr/local/sbin" 2>/dev/null \
		|| ewarn "  can't create /usr/local/sbin"
	touch "${ROOT}//usr/local/sbin/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/sbin/.keep"
fi
if [ ! -d "${ROOT}//usr/local/share" ] ; then \
	install -d  "${ROOT}//usr/local/share" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share"
	touch "${ROOT}//usr/local/share/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share/.keep"
fi
if [ ! -d "${ROOT}//usr/local/share/doc" ] ; then \
	install -d  "${ROOT}//usr/local/share/doc" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share/doc"
	touch "${ROOT}//usr/local/share/doc/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share/doc/.keep"
fi
if [ ! -d "${ROOT}//usr/local/share/man" ] ; then \
	install -d  "${ROOT}//usr/local/share/man" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share/man"
	touch "${ROOT}//usr/local/share/man/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/share/man/.keep"
fi
if [ ! -d "${ROOT}//usr/local/src" ] ; then \
	install -d  "${ROOT}//usr/local/src" 2>/dev/null \
		|| ewarn "  can't create /usr/local/src"
	touch "${ROOT}//usr/local/src/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/src/.keep"
fi
if [ ! -d "${ROOT}//usr/portage" ] ; then \
	install -d  "${ROOT}//usr/portage" 2>/dev/null \
		|| ewarn "  can't create /usr/portage"
	touch "${ROOT}//usr/portage/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/portage/.keep"
fi
if [ ! -d "${ROOT}//usr/sbin" ] ; then \
	install -d  "${ROOT}//usr/sbin" 2>/dev/null \
		|| ewarn "  can't create /usr/sbin"
	touch "${ROOT}//usr/sbin/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/sbin/.keep"
fi
if [ ! -d "${ROOT}//usr/share/doc" ] ; then \
	install -d  "${ROOT}//usr/share/doc" 2>/dev/null \
		|| ewarn "  can't create /usr/share/doc"
	touch "${ROOT}//usr/share/doc/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/share/doc/.keep"
fi
if [ ! -d "${ROOT}//usr/share/info" ] ; then \
	install -d  "${ROOT}//usr/share/info" 2>/dev/null \
		|| ewarn "  can't create /usr/share/info"
	touch "${ROOT}//usr/share/info/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/share/info/.keep"
fi
if [ ! -d "${ROOT}//usr/share/man" ] ; then \
	install -d  "${ROOT}//usr/share/man" 2>/dev/null \
		|| ewarn "  can't create /usr/share/man"
	touch "${ROOT}//usr/share/man/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/share/man/.keep"
fi
if [ ! -d "${ROOT}//usr/share/misc" ] ; then \
	install -d  "${ROOT}//usr/share/misc" 2>/dev/null \
		|| ewarn "  can't create /usr/share/misc"
	touch "${ROOT}//usr/share/misc/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/share/misc/.keep"
fi
if [ ! -d "${ROOT}//usr/src" ] ; then \
	install -d  "${ROOT}//usr/src" 2>/dev/null \
		|| ewarn "  can't create /usr/src"
	touch "${ROOT}//usr/src/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/src/.keep"
fi
if [ ! -d "${ROOT}//tmp" ] ; then \
	install -d -m 1777 "${ROOT}//tmp" 2>/dev/null \
		|| ewarn "  can't create /tmp"
	touch "${ROOT}//tmp/.keep" 2>/dev/null \
		|| ewarn "  can't create /tmp/.keep"
fi
if [ ! -d "${ROOT}//var" ] ; then \
	install -d  "${ROOT}//var" 2>/dev/null \
		|| ewarn "  can't create /var"
	touch "${ROOT}//var/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/.keep"
fi
if [ ! -d "${ROOT}//var/lib/misc" ] ; then \
	install -d  "${ROOT}//var/lib/misc" 2>/dev/null \
		|| ewarn "  can't create /var/lib/misc"
	touch "${ROOT}//var/lib/misc/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/lib/misc/.keep"
fi
if [ ! -d "${ROOT}//var/lock/subsys" ] ; then \
	install -d  "${ROOT}//var/lock/subsys" 2>/dev/null \
		|| ewarn "  can't create /var/lock/subsys"
	touch "${ROOT}//var/lock/subsys/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/lock/subsys/.keep"
fi
if [ ! -d "${ROOT}//var/log/news" ] ; then \
	install -d  "${ROOT}//var/log/news" 2>/dev/null \
		|| ewarn "  can't create /var/log/news"
	touch "${ROOT}//var/log/news/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/log/news/.keep"
fi
if [ ! -d "${ROOT}//var/run" ] ; then \
	install -d  "${ROOT}//var/run" 2>/dev/null \
		|| ewarn "  can't create /var/run"
	touch "${ROOT}//var/run/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/run/.keep"
fi
if [ ! -d "${ROOT}//var/spool" ] ; then \
	install -d  "${ROOT}//var/spool" 2>/dev/null \
		|| ewarn "  can't create /var/spool"
	touch "${ROOT}//var/spool/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/spool/.keep"
fi
if [ ! -d "${ROOT}//var/state" ] ; then \
	install -d  "${ROOT}//var/state" 2>/dev/null \
		|| ewarn "  can't create /var/state"
	touch "${ROOT}//var/state/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/state/.keep"
fi
if [ ! -d "${ROOT}//var/tmp" ] ; then \
	install -d -m 1777 "${ROOT}//var/tmp" 2>/dev/null \
		|| ewarn "  can't create /var/tmp"
	touch "${ROOT}//var/tmp/.keep" 2>/dev/null \
		|| ewarn "  can't create /var/tmp/.keep"
fi
if [ ! -d "${ROOT}//lib" ] ; then \
	install -d  "${ROOT}//lib" 2>/dev/null \
		|| ewarn "  can't create /lib"
	touch "${ROOT}//lib/.keep" 2>/dev/null \
		|| ewarn "  can't create /lib/.keep"
fi
if [ ! -d "${ROOT}//usr/lib" ] ; then \
	install -d  "${ROOT}//usr/lib" 2>/dev/null \
		|| ewarn "  can't create /usr/lib"
	touch "${ROOT}//usr/lib/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/lib/.keep"
fi
if [ ! -d "${ROOT}//usr/local/lib" ] ; then \
	install -d  "${ROOT}//usr/local/lib" 2>/dev/null \
		|| ewarn "  can't create /usr/local/lib"
	touch "${ROOT}//usr/local/lib/.keep" 2>/dev/null \
		|| ewarn "  can't create /usr/local/lib/.keep"
fi
